@font-face {
font-family: Poppins;
src: url(Poppins-Black.otf);
}
@font-face {
  font-family: PoppinsReg;
  src: url(Poppins-Regular.otf);
  }

@font-face {
font-family: Digitalism;
src: url(digitalism.ttf);
}

@font-face {
font-family: Randhu;
src: url(Randhu.otf);
}

input:focus, textarea:focus {
  background-color: #FFFF66;
  border: 1px solid #F47E58;
}

input:focus {
  outline: none !important;
}

textarea:focus, input:focus{
  outline: none;
}

html, body {
	width: 100%;
	height: 100vh;
  margin: 0px;
  padding: 0px;
	display: flex;
	justify-content: flex-start;
	align-items: flex;
  font-family: serif;
  /* min-height:725px; */
  justify-content: flex-start;
  overflow:hidden;
  
}

html {	
	flex-direction: column;
  
}

.radio {

  width: 20px;
	height: 20px;
	background: white;
	-moz-border-radius: 50px;
	-webkit-border-radius: 50px;
	border-radius: 50px;
  border:2px solid #ccc;
  display:inline-block;
  color: #F5C43E;
  border: 2px solid #004c97;
}

#radio input{
  display:none;
}

body {
	flex-direction: column;
	/* overflow: hidden; */
  touch-action: none;
  /* background: linear-gradient(115.51deg, #3C0E6D 2.65%, #C62C85 61.29%, #F29565 85.58%); */
  background-image:url("bg.svg");
  background-size: cover;
  background-position: center;
  height:auto;
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: Poppins;
  /* min-height: 725px; */
  align-content: center;
  /* justify-content: flex-start; */
}

#status {
  position: relative;
  margin-left: 20px;
  color: #555;
  text-align: center;
    color: black;
  font-size: 11px;
  line-height: 1;
  width: 93px;
  /* top: 22px; */
  /* left: 8px; */
  /* text-shadow: 1px  1px 0px #555, 
-1px -1px 0px #555, 
 1px -1px 0px #555, 
-1px  1px 0px #555; */
}

#totalDuration {
  margin-left: -10px;
  position: relative;
  width: 50px;
  /* bottom: 210px; */
  text-align: center;
  /* left: 83px; */
  color: black;
  margin-left: 8px;
}

#trackRepeat {
  position: relative;
  width: 50px;
  /* top: 0; */
  /* left: 42px; */
  background-color: #4caf4f00;
  border: none;
  color: black;
  /* padding: 16px 32px; */
  text-decoration: none;
  margin: 4px 2px;
  cursor: pointer;
  font-size: 16px;
  text-align: center;
  font-family: Poppins;
}

#content {
  position: relative;
  /* margin: auto; */
  width: 100%;
  max-width: 90vw;
  height: 90vh;
  max-height: 90vh;
  /* background-image: url(bg_img.jpg); */ 
  /* background: rgba(255, 255, 255, 0.1); */
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: center;
  z-index:5;
}

#info_cta {
  /* position: absolute; */
  /* top: 20px;
  right: 20px; */
}

#purchase {

  margin-right: 10px;
  /* margin-right: 10px; */
  visibility: visible; 
  /* background-color: transparent;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center; */
  /* background-image:url("download_img.svg") */
  /* width:auto; */
}

#play-toggle, #download, #purchase {
  border: 0;
  position: relative;
  min-width: 30px;
  min-height: 30px;
  bottom: 0px;
  /* top: 250px; */
  /* left: 387px; */
  background-color: transparent;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  padding: 0;
  cursor: pointer;
  margin-left: 10px;
  /* margin-right: 10px; */
}

#play-toggle.play {
  background-image: url(play_img.svg);
}

#play-toggle.stop {
  background-image: url(stop_img.svg);
}

#download {
  background-image: url(download_img.svg);
  visibility: hidden;
}

.preview {
  position: relative;
  height: 20px;
  width: 20px;
  border: 0;
  background-color: transparent;
  background-size: contain;
  margin-left:20px;
}

.preview.play {
  background-image: url(component_preview_img.svg);
}

.preview.stop {
  background-image: url(component_preview_stop_img.svg);
}

.previewDuration {
  position: relative;
  width: 50px;
  /* bottom: 210px; */
  text-align: center;
  /* left: 83px; */
  color:black;
  margin-left: 8px;
  font-size:12px;
  
}

input.repeat {
  position: relative;
  width: 60px;
  /* top: 96px;
  left: 42px; */
  background-color: #4caf4f00;
  border: none;
  /* color: black; */
  /* padding: 16px 32px; */
  text-decoration: none;
  margin: 4px 2px;
  cursor: pointer;
  font-size:12px;
  text-align: center;
  font-family: Poppins;
  outline:none;
}

.previewProgress {
  position: absolute;
  width: 0px;
  /* bottom: 75px; */
  /* left: 60px; */
  height: 2px;
  background-color:#E5660B;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
  
}

/* scroll */

* {
  box-sizing: border-box;
  margin:0;
}

#wrapper_cont{
  /* display: flex; */
  
}

#wrapper, #wrapper_bg {
  position: absolute;
  /* pointer-events: auto; */
  cursor: pointer;
  border-radius: 30px;
  width: 336px;
  height: 280px;
  max-width: 390px;
  max-height:80vh;
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: fit;
  overflow: hidden;
  font-family: Poppins;
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* background: rgba(255, 255, 255, 0.151);
  backdrop-filter: saturate(100%) blur(10px); */
  flex-direction: column;


}

#wrapper, #wrapper_back{
  min-height:280px;
  max-height:600px;
  position:relative;
  background-color:#D4D4D4;
  box-shadow: 0px 24px 54px rgba(0, 0, 0, 0.25);
  transform-style: preserve-3d;	
  z-index:1000;
}

#wrapper_back{
  width:100%;
  height:100%;
  border-radius: 30px;
  /* margin-top:500px; */
  position:absolute;
  /* backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden; */
  background:url('wrapper_back.jpg');
  z-index: 10;
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  transform-style: preserve-3d;	
}

#wrapper_bg{
  /* background-image: url("playerTab.jpg"); */
}

.viewport {
  position: absolute;
  pointer-events: none;  
  width: 100%;
  bottom: 100px;
  left: 50%;
}

.num {
  position: relative;
  margin-left: 20px;
  color: #555; 
  color: black; 
  font-size: 11px; 
  line-height: 1;
  text-align:center;
  min-width:90px;
  /* top: 22px; */
  /* left: 8px;   */
  /* text-shadow: 
     1px  1px 0px #555, 
    -1px -1px 0px #555, 
     1px -1px 0px #555, 
    -1px  1px 0px #555; */
}

.box {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 289px;
  /* height: 20px; */
  position: relative;
  margin: 0px;
  width: auto;
  height: 15px;
  transform: translate(0px, 0px);
  border-radius: 9px;
  margin-bottom: 5px;
}

.boxes {
    max-width:370px;
    overflow: visible;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px;
    padding: 30px;
    /* background-color: #e77213; */
    /* border-radius: 15px; */
    width: 387px;
    margin-bottom: 10px;
    /* background: rgba(255, 255, 255, 0.42); */
/* box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); */
/* backdrop-filter: blur(10px); */
    /* left: -214px; */
    padding-top: 9px;
    overflow-y: auto;
    max-width:95vvw;
    
}
#boxes_cont {
  overflow-y: auto;
  height: auto;
  max-height: 50vh;
  margin-top:10px;
}

#progress {
background: linear-gradient(320.66deg, #9B03A7 14.75%, #F574FF 84.81%);
filter: blur(1px);
  position: absolute;
  /* top: 510px; */
  /* left: 50px; */
  width: 0px;
  height: 100%;
}

#labels {
  width: 100%;
  height: auto;
  text-align: center;
  min-width: 10px;
  /* margin-bottom: 30px; */
  /* font-size: 11px; */
  justify-content: center;
  /* border-bottom: solid 1px; */
  /* border-bottom-color: black; */
  /* color: #ea3cf7;*/
    /* color: black; */
    
}


#status,#totalDuration,#trackRepeat, #purchase, .previewDuration, .repeat, .num {
  color:#6e6e6e;
}

#master_controls {
  overflow: hidden;
  padding: 25px;
  padding-left: 0px;
  padding-right: 0px;
  display: flex;
  align-items: center;
  position: relative;
  width: 370px;
  justify-content: space-between;
  flex-direction: row;
  align-content: center;
  margin-top: 10px;
  width: 100vw;
  max-width: 310px;
  max-height: 20px;
  border: 1px solid;
  border-color:#C0C0C0;
  border-radius: 10px;
  background-color:#151515;
  box-shadow: 0px 24px 54px rgba(0, 0, 0, 0.25);
}

#presets {
  overflow: hidden;
  /* padding: 30px; */
  /* border-radius: 15px; */
  /* background-color: #e77213; */
  /* max-width: 360px; */
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  /* max-width: 80vw; */
  /* height: 20px; */
  position: relative;
  margin: 0px;
  width: 369px;
  /* height: 50px; */
  transform: translate(0px, 0px);
  justify-content: space-between;
  /* background: rgba(255, 255, 255, 0.42); */
  /* box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25); */
  /* backdrop-filter: blur(10px); */
  margin-top: 5px;
  height: 20vw;
  min-height: 10px;
  max-height: 20px;
  max-width: 281px;
  z-index: -1;
  /* color: white; */
  /* width: 200px; */
  /* height: 40px; */
  /* border-radius: 100px; */
  font-size: 1px;
  /* background-image: url("editTraxLogo.svg"); */
  background-size: contain;
  position: relative;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 30px;
  margin-top: 5px;
  margin-bottom: 0px;
  color: rgb(56, 56, 56);
  font-size: 8px;
  z-index: 1;
  font-family: PoppinsReg;
  line-height:10px;
  text-align:center
}

#pre {
  font-family: Poppins;
  color:#000000;
  font-size: 10px;

}
#progress_cont {
  position: absolute;
  background-color: transparent;
  width: 100%;
  height: 100%;
  z-index: -1;
  max-width: 100vw;
}

#loop {
width:30px;
height:10px;
margin-left:20px;
background-image:url('1540764857.svg');
background-position: center;
background-repeat: no-repeat;
/* margin-left:30px */

}

.buy-fly {
  width: 90px;
  top: 0;
  float: none;
}

.alb-only {
  background-color: #eee;
  color: #007BFE;
  font-size: 9pt;
  padding: 0 5px;
  line-height: 30px;
  border-radius: 3px;
  cursor: default;
}

.buy-cont {
  background-color: #121212;
  color: #ccc;
  font-family: 'Noto Sans',sans-serif;
  font-size: 9pt;
}

#avatar{
  width:100px;
  height:100px;
  border-radius:100px;
  /* background-color:red; */
  font-size:32px;
  background-image:url("Viva_Acid.png");
  font-color:white;
  width: 100px;
  height: 100px;
  border-radius: 100px;
  /* background-color: red; */
  font-size: 32px;
  background-image: url("Viva_Acid.png");
  font-color: white;
  background-size: contain;
  z-index:9;

}

#artist_name, #track_name {
  /* position:absolute; */
  letter-spacing: 0px;

  color: white;
      /* position: absolute; */
      letter-spacing: 0px;
      font-size: 34px;
      color: white;
      /* top: 15px; */
      /* margin-right: 17px; */
    /* top:15px; */


}

#artist_name{
  font-size:20px;
  /* top:15px; */
  position: relative;
  /* top: 16px; */
  font-size: 20px;
  /* top: 15px; */
  position: relative;
  /* top: 16px; */
  pointer-events: auto;
  cursor: pointer;
}

#header {
  display: flex;
  align-content: flex-start;
  align-items: center;
  width:342px;
  height:80px;
  margin-top: 20px;
  margin-bottom: 20px;
  /* min-width: 360px; */
  /* margin: 20px; */
  /* padding: 30px; */
  padding-bottom: 0px;
  margin-bottom: 0px;
  width: 360px;
  justify-content: space-around;
  background-image: url("header.svg");
  cursor: pointer;
  background-color: transparent;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 80px;
  padding-left:0px;
 padding-right:0px;
 background-size:contain;
 max-width:300;
  /* background-size: contain; */
}

#artist_cont {

}

#circle {
  /* background-color:black; */
  position:absolute;
  height:80vh;
  width:80vw;
  z-index: 1;
  background-image: url("circle.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size:contain;
  min-width: 1000px;
  min-height:1000px;
  opacity:0.5;
  pointer-events:none;

}

#stageBlock {
  background-color:black;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99999;

}


#stageBlock2 {
  background-color:#75FA4C;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99998;

}

#stageBlock3 {
  background-color:#EA3CF7;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99997;

}

#stageBlock4 {
  background-color: #F09135;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99996;

}

#stageBlock5 {
  background-color: #3482F7;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99995;

}

#stageBlock6 {
  background-color:#F8D247;
  position:absolute;
  height:100vh;
  width:100vw;
  z-index: 99994;

}

#bg_circle, #bg_circle2 {
  position:fixed;
  top:0;
  left:0;
  width: 200px; 
  height: 200px; 
  background-color: #00FF00;
  /* background-image: linear-gradient(315deg, #000000 0%, #1a1a1a 74%); */
  border-radius: 9999px;
  z-index: -1;
  opacity:0.4;
  }
  
  #bg_circle2 {
  width: 20px;
  height: 20px;
  background-color: #EA3CF7;
  border-radius: 9999px;
  opacity:1;
  position:relative;
  }

  #footer {
    z-index: -1;
    color: white;
    /* width: 200px; */
    /* height: 40px; */
    border-radius: 100px;
    font-size: 12px;
    /* background-image: url("editTraxLogo.svg"); */
    background-size: contain;
    position: relative;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 30px;
    margin-top: 0;
    margin-bottom: 7px;
    color: rgb(104, 104, 104);
    font-size: 9px;
    z-index: 1;
    font-family: PoppinsReg;
  }

  #info{
    cursor:pointer;

  }

  #artist_name_cont {
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: space-between;
    position:relative;
    top:11px;
  }

  .copy{
    width:100%;
    height:100%;
    background-color:yellow;
    position:relative;
  }

  #label_custom, #label_master{
    font-size:10px;
    margin-top:10px;
  }




  .marquee__part {
    flex-shrink: 0;
    padding: 0 4px;
    font-smooth: always;
    width:auto;
    /* font:PoppinsReg */
 
  }
  
  .marquee {
    max-width: 281px;
    /* background: #000000; */
    color: rgb(138, 138, 138);
    text-transform: uppercase;
    font-weight: 600;
    font-size: 10px;
    padding: 10px 0;
    position: relative;
    overflow: hidden;
    bottom: 0px;
  
  }
  
  .marquee__inner {
    -webkit-font-smoothing: antialiased;
      width: fit-content;
      display: flex;
      flex: auto;
      flex-direction: row;
  }
  
  .spacer {
    height: 150px;
  }

  #click_icon {
    width:25px;
    height:25px;
    position:absolute;
    top:240px;
    fill: white;
    pointer-events:none;
    }



    #close{
      position: absolute;
      width: 20px;
      height: 20px;
      animation-play-state: paused;
      background-size: cover;
      right: 18px;
      top: 12px;
      border: 0;
      background-image: url(Close.svg);
      cursor: pointer;
      background-color: transparent;
      background-position: center;
      background-repeat:no-repeat;
      z-index: 500;
  }

  #vivaLogo{
    background-image: url("viva_acid_logo2.svg");
    background-color: transparent;
    background-position: center;
    background-repeat:no-repeat;
    background-size: contain;
    width:117px;
    height:93px;
    position:absolute;
    left:250px;
    top:10px
  }

  #flipMe{
    left: 160px;
    width: 50px;
    height: 50px;
    background-size: fit;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("flip.svg");
    position: relative;
    /* right: 0px; */
    z-index: 999999;
    pointer-events: auto;
    backface-visibility: visible;
    -webkit-backface-visibility: visible;
    -moz-backface-visibility: visible;
    -ms-backface-visibility: visible;
    /* left: 320px; */
    top: 53px;
    pointer-events: auto;
    cursor:pointer;
    border: none;
    background-color: transparent;
  }

  @media screen and (min-width: 600px) and (max-width: 600px) {    

    #master_controls { 
      /* max-height:20px;  */
      max-width:280px;
    }

  }

  @media screen and (min-width: 320px) and (max-width: 767px) {    
    #presets { max-height:20px; 
      max-width:281px;
    }
    #master_controls { 
      /* max-height:20px;  */
      max-width:290px;
      /* max-width:290px; */
    }
    #info_cta {     
      display: flex;
      width: 300px;
      justify-content: center;
      align-items: center;
      align-content: center;
    }
    .info_cta {     
      width:300px;
    }

    #header{
      margin-left:10px;
      /* background-image:url("header_small.svg"); */
    }

    #vivaLogo{
      left:250px;
      width:90px;
      top:0px;
    }
  }

  @media only screen and (orientation:portrait){

  }
  

